### Method

# GtkSource SnippetManager get_search_path

#### Declaration [src]

    const gchar* const*
    gtk_source_snippet_manager_get_search_path (
      GtkSourceSnippetManager* self
    )

#### Description [src]

Gets the list directories where `self` looks for snippet files.

Gets property | `GtkSource.SnippetManager:search-path`

#### Return value

Type: An array of `utf8`

`NULL`-terminated array containing a list of snippet files directories. The array is owned by `lm` and must not be modified.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.